IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network0.4.0.0/14
Usable hosts262,142
Subnet mask255.252.0.0
Addresses262,144
- Network address
0.4.0.0- Broadcast address
0.7.255.255- First usable
0.4.0.1- Last usable
0.7.255.254- Usable hosts
- 262,142 (262,144 less the network and broadcast addresses)
- Subnet mask
255.252.0.0- Wildcard mask
0.3.255.255(Cisco ACLs, OSPF)- Prefix length
- /14
- Type
- This network 0.0.0.0/8
Not routed; 0.0.0.0 means "any address" in settings - Old class
- A (default /8)
- As numbers
- Hex
00040000· Integer262144to524287 - Reverse DNS zones
4.0.in-addr.arpa5.0.in-addr.arpa6.0.in-addr.arpa7.0.in-addr.arpa
/14 is not on a 8-bit boundary, so it takes 4 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00000000.00000100.00000000.00000000 | 0.4.0.0 |
| Subnet mask | 11111111.11111100.00000000.00000000 | 255.252.0.0 |
| Network | 00000000.00000100.00000000.00000000 | 0.4.0.0 |
| Broadcast | 00000000.00000111.11111111.11111111 | 0.7.255.255 |
Split into smaller subnets
/15 (2)/16 (4)/17 (8)/18 (16)/19 (32)/20 (64)/21 (128)/22 (256)/23 (512)/24 (1,024)/25 (2,048)/26 (4,096)
0.4.0.0/14 makes 256 subnets of /22.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 0.4.0.0/22 | 0.4.0.1 to 0.4.3.254 | 0.4.3.255 | 1,022 |
| 2 | 0.4.4.0/22 | 0.4.4.1 to 0.4.7.254 | 0.4.7.255 | 1,022 |
| 3 | 0.4.8.0/22 | 0.4.8.1 to 0.4.11.254 | 0.4.11.255 | 1,022 |
| 4 | 0.4.12.0/22 | 0.4.12.1 to 0.4.15.254 | 0.4.15.255 | 1,022 |
| 5 | 0.4.16.0/22 | 0.4.16.1 to 0.4.19.254 | 0.4.19.255 | 1,022 |
| 6 | 0.4.20.0/22 | 0.4.20.1 to 0.4.23.254 | 0.4.23.255 | 1,022 |
| 7 | 0.4.24.0/22 | 0.4.24.1 to 0.4.27.254 | 0.4.27.255 | 1,022 |
| 8 | 0.4.28.0/22 | 0.4.28.1 to 0.4.31.254 | 0.4.31.255 | 1,022 |
| 9 | 0.4.32.0/22 | 0.4.32.1 to 0.4.35.254 | 0.4.35.255 | 1,022 |
| 10 | 0.4.36.0/22 | 0.4.36.1 to 0.4.39.254 | 0.4.39.255 | 1,022 |
| 11 | 0.4.40.0/22 | 0.4.40.1 to 0.4.43.254 | 0.4.43.255 | 1,022 |
| 12 | 0.4.44.0/22 | 0.4.44.1 to 0.4.47.254 | 0.4.47.255 | 1,022 |
| 13 | 0.4.48.0/22 | 0.4.48.1 to 0.4.51.254 | 0.4.51.255 | 1,022 |
| 14 | 0.4.52.0/22 | 0.4.52.1 to 0.4.55.254 | 0.4.55.255 | 1,022 |
| 15 | 0.4.56.0/22 | 0.4.56.1 to 0.4.59.254 | 0.4.59.255 | 1,022 |
| 16 | 0.4.60.0/22 | 0.4.60.1 to 0.4.63.254 | 0.4.63.255 | 1,022 |
| 17 | 0.4.64.0/22 | 0.4.64.1 to 0.4.67.254 | 0.4.67.255 | 1,022 |
| 18 | 0.4.68.0/22 | 0.4.68.1 to 0.4.71.254 | 0.4.71.255 | 1,022 |
| 19 | 0.4.72.0/22 | 0.4.72.1 to 0.4.75.254 | 0.4.75.255 | 1,022 |
| 20 | 0.4.76.0/22 | 0.4.76.1 to 0.4.79.254 | 0.4.79.255 | 1,022 |
| 21 | 0.4.80.0/22 | 0.4.80.1 to 0.4.83.254 | 0.4.83.255 | 1,022 |
| 22 | 0.4.84.0/22 | 0.4.84.1 to 0.4.87.254 | 0.4.87.255 | 1,022 |
| 23 | 0.4.88.0/22 | 0.4.88.1 to 0.4.91.254 | 0.4.91.255 | 1,022 |
| 24 | 0.4.92.0/22 | 0.4.92.1 to 0.4.95.254 | 0.4.95.255 | 1,022 |
| 25 | 0.4.96.0/22 | 0.4.96.1 to 0.4.99.254 | 0.4.99.255 | 1,022 |
| 26 | 0.4.100.0/22 | 0.4.100.1 to 0.4.103.254 | 0.4.103.255 | 1,022 |
| 27 | 0.4.104.0/22 | 0.4.104.1 to 0.4.107.254 | 0.4.107.255 | 1,022 |
| 28 | 0.4.108.0/22 | 0.4.108.1 to 0.4.111.254 | 0.4.111.255 | 1,022 |
| 29 | 0.4.112.0/22 | 0.4.112.1 to 0.4.115.254 | 0.4.115.255 | 1,022 |
| 30 | 0.4.116.0/22 | 0.4.116.1 to 0.4.119.254 | 0.4.119.255 | 1,022 |
| 31 | 0.4.120.0/22 | 0.4.120.1 to 0.4.123.254 | 0.4.123.255 | 1,022 |
| 32 | 0.4.124.0/22 | 0.4.124.1 to 0.4.127.254 | 0.4.127.255 | 1,022 |
| 33 | 0.4.128.0/22 | 0.4.128.1 to 0.4.131.254 | 0.4.131.255 | 1,022 |
| 34 | 0.4.132.0/22 | 0.4.132.1 to 0.4.135.254 | 0.4.135.255 | 1,022 |
| 35 | 0.4.136.0/22 | 0.4.136.1 to 0.4.139.254 | 0.4.139.255 | 1,022 |
| 36 | 0.4.140.0/22 | 0.4.140.1 to 0.4.143.254 | 0.4.143.255 | 1,022 |
| 37 | 0.4.144.0/22 | 0.4.144.1 to 0.4.147.254 | 0.4.147.255 | 1,022 |
| 38 | 0.4.148.0/22 | 0.4.148.1 to 0.4.151.254 | 0.4.151.255 | 1,022 |
| 39 | 0.4.152.0/22 | 0.4.152.1 to 0.4.155.254 | 0.4.155.255 | 1,022 |
| 40 | 0.4.156.0/22 | 0.4.156.1 to 0.4.159.254 | 0.4.159.255 | 1,022 |
| 41 | 0.4.160.0/22 | 0.4.160.1 to 0.4.163.254 | 0.4.163.255 | 1,022 |
| 42 | 0.4.164.0/22 | 0.4.164.1 to 0.4.167.254 | 0.4.167.255 | 1,022 |
| 43 | 0.4.168.0/22 | 0.4.168.1 to 0.4.171.254 | 0.4.171.255 | 1,022 |
| 44 | 0.4.172.0/22 | 0.4.172.1 to 0.4.175.254 | 0.4.175.255 | 1,022 |
| 45 | 0.4.176.0/22 | 0.4.176.1 to 0.4.179.254 | 0.4.179.255 | 1,022 |
| 46 | 0.4.180.0/22 | 0.4.180.1 to 0.4.183.254 | 0.4.183.255 | 1,022 |
| 47 | 0.4.184.0/22 | 0.4.184.1 to 0.4.187.254 | 0.4.187.255 | 1,022 |
| 48 | 0.4.188.0/22 | 0.4.188.1 to 0.4.191.254 | 0.4.191.255 | 1,022 |
| 49 | 0.4.192.0/22 | 0.4.192.1 to 0.4.195.254 | 0.4.195.255 | 1,022 |
| 50 | 0.4.196.0/22 | 0.4.196.1 to 0.4.199.254 | 0.4.199.255 | 1,022 |
| 51 | 0.4.200.0/22 | 0.4.200.1 to 0.4.203.254 | 0.4.203.255 | 1,022 |
| 52 | 0.4.204.0/22 | 0.4.204.1 to 0.4.207.254 | 0.4.207.255 | 1,022 |
| 53 | 0.4.208.0/22 | 0.4.208.1 to 0.4.211.254 | 0.4.211.255 | 1,022 |
| 54 | 0.4.212.0/22 | 0.4.212.1 to 0.4.215.254 | 0.4.215.255 | 1,022 |
| 55 | 0.4.216.0/22 | 0.4.216.1 to 0.4.219.254 | 0.4.219.255 | 1,022 |
| 56 | 0.4.220.0/22 | 0.4.220.1 to 0.4.223.254 | 0.4.223.255 | 1,022 |
| 57 | 0.4.224.0/22 | 0.4.224.1 to 0.4.227.254 | 0.4.227.255 | 1,022 |
| 58 | 0.4.228.0/22 | 0.4.228.1 to 0.4.231.254 | 0.4.231.255 | 1,022 |
| 59 | 0.4.232.0/22 | 0.4.232.1 to 0.4.235.254 | 0.4.235.255 | 1,022 |
| 60 | 0.4.236.0/22 | 0.4.236.1 to 0.4.239.254 | 0.4.239.255 | 1,022 |
| 61 | 0.4.240.0/22 | 0.4.240.1 to 0.4.243.254 | 0.4.243.255 | 1,022 |
| 62 | 0.4.244.0/22 | 0.4.244.1 to 0.4.247.254 | 0.4.247.255 | 1,022 |
| 63 | 0.4.248.0/22 | 0.4.248.1 to 0.4.251.254 | 0.4.251.255 | 1,022 |
| 64 | 0.4.252.0/22 | 0.4.252.1 to 0.4.255.254 | 0.4.255.255 | 1,022 |
| 65 | 0.5.0.0/22 | 0.5.0.1 to 0.5.3.254 | 0.5.3.255 | 1,022 |
| 66 | 0.5.4.0/22 | 0.5.4.1 to 0.5.7.254 | 0.5.7.255 | 1,022 |
| 67 | 0.5.8.0/22 | 0.5.8.1 to 0.5.11.254 | 0.5.11.255 | 1,022 |
| 68 | 0.5.12.0/22 | 0.5.12.1 to 0.5.15.254 | 0.5.15.255 | 1,022 |
| 69 | 0.5.16.0/22 | 0.5.16.1 to 0.5.19.254 | 0.5.19.255 | 1,022 |
| 70 | 0.5.20.0/22 | 0.5.20.1 to 0.5.23.254 | 0.5.23.255 | 1,022 |
| 71 | 0.5.24.0/22 | 0.5.24.1 to 0.5.27.254 | 0.5.27.255 | 1,022 |
| 72 | 0.5.28.0/22 | 0.5.28.1 to 0.5.31.254 | 0.5.31.255 | 1,022 |
| 73 | 0.5.32.0/22 | 0.5.32.1 to 0.5.35.254 | 0.5.35.255 | 1,022 |
| 74 | 0.5.36.0/22 | 0.5.36.1 to 0.5.39.254 | 0.5.39.255 | 1,022 |
| 75 | 0.5.40.0/22 | 0.5.40.1 to 0.5.43.254 | 0.5.43.255 | 1,022 |
| 76 | 0.5.44.0/22 | 0.5.44.1 to 0.5.47.254 | 0.5.47.255 | 1,022 |
| 77 | 0.5.48.0/22 | 0.5.48.1 to 0.5.51.254 | 0.5.51.255 | 1,022 |
| 78 | 0.5.52.0/22 | 0.5.52.1 to 0.5.55.254 | 0.5.55.255 | 1,022 |
| 79 | 0.5.56.0/22 | 0.5.56.1 to 0.5.59.254 | 0.5.59.255 | 1,022 |
| 80 | 0.5.60.0/22 | 0.5.60.1 to 0.5.63.254 | 0.5.63.255 | 1,022 |
| 81 | 0.5.64.0/22 | 0.5.64.1 to 0.5.67.254 | 0.5.67.255 | 1,022 |
| 82 | 0.5.68.0/22 | 0.5.68.1 to 0.5.71.254 | 0.5.71.255 | 1,022 |
| 83 | 0.5.72.0/22 | 0.5.72.1 to 0.5.75.254 | 0.5.75.255 | 1,022 |
| 84 | 0.5.76.0/22 | 0.5.76.1 to 0.5.79.254 | 0.5.79.255 | 1,022 |
| 85 | 0.5.80.0/22 | 0.5.80.1 to 0.5.83.254 | 0.5.83.255 | 1,022 |
| 86 | 0.5.84.0/22 | 0.5.84.1 to 0.5.87.254 | 0.5.87.255 | 1,022 |
| 87 | 0.5.88.0/22 | 0.5.88.1 to 0.5.91.254 | 0.5.91.255 | 1,022 |
| 88 | 0.5.92.0/22 | 0.5.92.1 to 0.5.95.254 | 0.5.95.255 | 1,022 |
| 89 | 0.5.96.0/22 | 0.5.96.1 to 0.5.99.254 | 0.5.99.255 | 1,022 |
| 90 | 0.5.100.0/22 | 0.5.100.1 to 0.5.103.254 | 0.5.103.255 | 1,022 |
| 91 | 0.5.104.0/22 | 0.5.104.1 to 0.5.107.254 | 0.5.107.255 | 1,022 |
| 92 | 0.5.108.0/22 | 0.5.108.1 to 0.5.111.254 | 0.5.111.255 | 1,022 |
| 93 | 0.5.112.0/22 | 0.5.112.1 to 0.5.115.254 | 0.5.115.255 | 1,022 |
| 94 | 0.5.116.0/22 | 0.5.116.1 to 0.5.119.254 | 0.5.119.255 | 1,022 |
| 95 | 0.5.120.0/22 | 0.5.120.1 to 0.5.123.254 | 0.5.123.255 | 1,022 |
| 96 | 0.5.124.0/22 | 0.5.124.1 to 0.5.127.254 | 0.5.127.255 | 1,022 |
| 97 | 0.5.128.0/22 | 0.5.128.1 to 0.5.131.254 | 0.5.131.255 | 1,022 |
| 98 | 0.5.132.0/22 | 0.5.132.1 to 0.5.135.254 | 0.5.135.255 | 1,022 |
| 99 | 0.5.136.0/22 | 0.5.136.1 to 0.5.139.254 | 0.5.139.255 | 1,022 |
| 100 | 0.5.140.0/22 | 0.5.140.1 to 0.5.143.254 | 0.5.143.255 | 1,022 |
| 101 | 0.5.144.0/22 | 0.5.144.1 to 0.5.147.254 | 0.5.147.255 | 1,022 |
| 102 | 0.5.148.0/22 | 0.5.148.1 to 0.5.151.254 | 0.5.151.255 | 1,022 |
| 103 | 0.5.152.0/22 | 0.5.152.1 to 0.5.155.254 | 0.5.155.255 | 1,022 |
| 104 | 0.5.156.0/22 | 0.5.156.1 to 0.5.159.254 | 0.5.159.255 | 1,022 |
| 105 | 0.5.160.0/22 | 0.5.160.1 to 0.5.163.254 | 0.5.163.255 | 1,022 |
| 106 | 0.5.164.0/22 | 0.5.164.1 to 0.5.167.254 | 0.5.167.255 | 1,022 |
| 107 | 0.5.168.0/22 | 0.5.168.1 to 0.5.171.254 | 0.5.171.255 | 1,022 |
| 108 | 0.5.172.0/22 | 0.5.172.1 to 0.5.175.254 | 0.5.175.255 | 1,022 |
| 109 | 0.5.176.0/22 | 0.5.176.1 to 0.5.179.254 | 0.5.179.255 | 1,022 |
| 110 | 0.5.180.0/22 | 0.5.180.1 to 0.5.183.254 | 0.5.183.255 | 1,022 |
| 111 | 0.5.184.0/22 | 0.5.184.1 to 0.5.187.254 | 0.5.187.255 | 1,022 |
| 112 | 0.5.188.0/22 | 0.5.188.1 to 0.5.191.254 | 0.5.191.255 | 1,022 |
| 113 | 0.5.192.0/22 | 0.5.192.1 to 0.5.195.254 | 0.5.195.255 | 1,022 |
| 114 | 0.5.196.0/22 | 0.5.196.1 to 0.5.199.254 | 0.5.199.255 | 1,022 |
| 115 | 0.5.200.0/22 | 0.5.200.1 to 0.5.203.254 | 0.5.203.255 | 1,022 |
| 116 | 0.5.204.0/22 | 0.5.204.1 to 0.5.207.254 | 0.5.207.255 | 1,022 |
| 117 | 0.5.208.0/22 | 0.5.208.1 to 0.5.211.254 | 0.5.211.255 | 1,022 |
| 118 | 0.5.212.0/22 | 0.5.212.1 to 0.5.215.254 | 0.5.215.255 | 1,022 |
| 119 | 0.5.216.0/22 | 0.5.216.1 to 0.5.219.254 | 0.5.219.255 | 1,022 |
| 120 | 0.5.220.0/22 | 0.5.220.1 to 0.5.223.254 | 0.5.223.255 | 1,022 |
| 121 | 0.5.224.0/22 | 0.5.224.1 to 0.5.227.254 | 0.5.227.255 | 1,022 |
| 122 | 0.5.228.0/22 | 0.5.228.1 to 0.5.231.254 | 0.5.231.255 | 1,022 |
| 123 | 0.5.232.0/22 | 0.5.232.1 to 0.5.235.254 | 0.5.235.255 | 1,022 |
| 124 | 0.5.236.0/22 | 0.5.236.1 to 0.5.239.254 | 0.5.239.255 | 1,022 |
| 125 | 0.5.240.0/22 | 0.5.240.1 to 0.5.243.254 | 0.5.243.255 | 1,022 |
| 126 | 0.5.244.0/22 | 0.5.244.1 to 0.5.247.254 | 0.5.247.255 | 1,022 |
| 127 | 0.5.248.0/22 | 0.5.248.1 to 0.5.251.254 | 0.5.251.255 | 1,022 |
| 128 | 0.5.252.0/22 | 0.5.252.1 to 0.5.255.254 | 0.5.255.255 | 1,022 |
| 129 | 0.6.0.0/22 | 0.6.0.1 to 0.6.3.254 | 0.6.3.255 | 1,022 |
| 130 | 0.6.4.0/22 | 0.6.4.1 to 0.6.7.254 | 0.6.7.255 | 1,022 |
| 131 | 0.6.8.0/22 | 0.6.8.1 to 0.6.11.254 | 0.6.11.255 | 1,022 |
| 132 | 0.6.12.0/22 | 0.6.12.1 to 0.6.15.254 | 0.6.15.255 | 1,022 |
| 133 | 0.6.16.0/22 | 0.6.16.1 to 0.6.19.254 | 0.6.19.255 | 1,022 |
| 134 | 0.6.20.0/22 | 0.6.20.1 to 0.6.23.254 | 0.6.23.255 | 1,022 |
| 135 | 0.6.24.0/22 | 0.6.24.1 to 0.6.27.254 | 0.6.27.255 | 1,022 |
| 136 | 0.6.28.0/22 | 0.6.28.1 to 0.6.31.254 | 0.6.31.255 | 1,022 |
| 137 | 0.6.32.0/22 | 0.6.32.1 to 0.6.35.254 | 0.6.35.255 | 1,022 |
| 138 | 0.6.36.0/22 | 0.6.36.1 to 0.6.39.254 | 0.6.39.255 | 1,022 |
| 139 | 0.6.40.0/22 | 0.6.40.1 to 0.6.43.254 | 0.6.43.255 | 1,022 |
| 140 | 0.6.44.0/22 | 0.6.44.1 to 0.6.47.254 | 0.6.47.255 | 1,022 |
| 141 | 0.6.48.0/22 | 0.6.48.1 to 0.6.51.254 | 0.6.51.255 | 1,022 |
| 142 | 0.6.52.0/22 | 0.6.52.1 to 0.6.55.254 | 0.6.55.255 | 1,022 |
| 143 | 0.6.56.0/22 | 0.6.56.1 to 0.6.59.254 | 0.6.59.255 | 1,022 |
| 144 | 0.6.60.0/22 | 0.6.60.1 to 0.6.63.254 | 0.6.63.255 | 1,022 |
| 145 | 0.6.64.0/22 | 0.6.64.1 to 0.6.67.254 | 0.6.67.255 | 1,022 |
| 146 | 0.6.68.0/22 | 0.6.68.1 to 0.6.71.254 | 0.6.71.255 | 1,022 |
| 147 | 0.6.72.0/22 | 0.6.72.1 to 0.6.75.254 | 0.6.75.255 | 1,022 |
| 148 | 0.6.76.0/22 | 0.6.76.1 to 0.6.79.254 | 0.6.79.255 | 1,022 |
| 149 | 0.6.80.0/22 | 0.6.80.1 to 0.6.83.254 | 0.6.83.255 | 1,022 |
| 150 | 0.6.84.0/22 | 0.6.84.1 to 0.6.87.254 | 0.6.87.255 | 1,022 |
| 151 | 0.6.88.0/22 | 0.6.88.1 to 0.6.91.254 | 0.6.91.255 | 1,022 |
| 152 | 0.6.92.0/22 | 0.6.92.1 to 0.6.95.254 | 0.6.95.255 | 1,022 |
| 153 | 0.6.96.0/22 | 0.6.96.1 to 0.6.99.254 | 0.6.99.255 | 1,022 |
| 154 | 0.6.100.0/22 | 0.6.100.1 to 0.6.103.254 | 0.6.103.255 | 1,022 |
| 155 | 0.6.104.0/22 | 0.6.104.1 to 0.6.107.254 | 0.6.107.255 | 1,022 |
| 156 | 0.6.108.0/22 | 0.6.108.1 to 0.6.111.254 | 0.6.111.255 | 1,022 |
| 157 | 0.6.112.0/22 | 0.6.112.1 to 0.6.115.254 | 0.6.115.255 | 1,022 |
| 158 | 0.6.116.0/22 | 0.6.116.1 to 0.6.119.254 | 0.6.119.255 | 1,022 |
| 159 | 0.6.120.0/22 | 0.6.120.1 to 0.6.123.254 | 0.6.123.255 | 1,022 |
| 160 | 0.6.124.0/22 | 0.6.124.1 to 0.6.127.254 | 0.6.127.255 | 1,022 |
| 161 | 0.6.128.0/22 | 0.6.128.1 to 0.6.131.254 | 0.6.131.255 | 1,022 |
| 162 | 0.6.132.0/22 | 0.6.132.1 to 0.6.135.254 | 0.6.135.255 | 1,022 |
| 163 | 0.6.136.0/22 | 0.6.136.1 to 0.6.139.254 | 0.6.139.255 | 1,022 |
| 164 | 0.6.140.0/22 | 0.6.140.1 to 0.6.143.254 | 0.6.143.255 | 1,022 |
| 165 | 0.6.144.0/22 | 0.6.144.1 to 0.6.147.254 | 0.6.147.255 | 1,022 |
| 166 | 0.6.148.0/22 | 0.6.148.1 to 0.6.151.254 | 0.6.151.255 | 1,022 |
| 167 | 0.6.152.0/22 | 0.6.152.1 to 0.6.155.254 | 0.6.155.255 | 1,022 |
| 168 | 0.6.156.0/22 | 0.6.156.1 to 0.6.159.254 | 0.6.159.255 | 1,022 |
| 169 | 0.6.160.0/22 | 0.6.160.1 to 0.6.163.254 | 0.6.163.255 | 1,022 |
| 170 | 0.6.164.0/22 | 0.6.164.1 to 0.6.167.254 | 0.6.167.255 | 1,022 |
| 171 | 0.6.168.0/22 | 0.6.168.1 to 0.6.171.254 | 0.6.171.255 | 1,022 |
| 172 | 0.6.172.0/22 | 0.6.172.1 to 0.6.175.254 | 0.6.175.255 | 1,022 |
| 173 | 0.6.176.0/22 | 0.6.176.1 to 0.6.179.254 | 0.6.179.255 | 1,022 |
| 174 | 0.6.180.0/22 | 0.6.180.1 to 0.6.183.254 | 0.6.183.255 | 1,022 |
| 175 | 0.6.184.0/22 | 0.6.184.1 to 0.6.187.254 | 0.6.187.255 | 1,022 |
| 176 | 0.6.188.0/22 | 0.6.188.1 to 0.6.191.254 | 0.6.191.255 | 1,022 |
| 177 | 0.6.192.0/22 | 0.6.192.1 to 0.6.195.254 | 0.6.195.255 | 1,022 |
| 178 | 0.6.196.0/22 | 0.6.196.1 to 0.6.199.254 | 0.6.199.255 | 1,022 |
| 179 | 0.6.200.0/22 | 0.6.200.1 to 0.6.203.254 | 0.6.203.255 | 1,022 |
| 180 | 0.6.204.0/22 | 0.6.204.1 to 0.6.207.254 | 0.6.207.255 | 1,022 |
| 181 | 0.6.208.0/22 | 0.6.208.1 to 0.6.211.254 | 0.6.211.255 | 1,022 |
| 182 | 0.6.212.0/22 | 0.6.212.1 to 0.6.215.254 | 0.6.215.255 | 1,022 |
| 183 | 0.6.216.0/22 | 0.6.216.1 to 0.6.219.254 | 0.6.219.255 | 1,022 |
| 184 | 0.6.220.0/22 | 0.6.220.1 to 0.6.223.254 | 0.6.223.255 | 1,022 |
| 185 | 0.6.224.0/22 | 0.6.224.1 to 0.6.227.254 | 0.6.227.255 | 1,022 |
| 186 | 0.6.228.0/22 | 0.6.228.1 to 0.6.231.254 | 0.6.231.255 | 1,022 |
| 187 | 0.6.232.0/22 | 0.6.232.1 to 0.6.235.254 | 0.6.235.255 | 1,022 |
| 188 | 0.6.236.0/22 | 0.6.236.1 to 0.6.239.254 | 0.6.239.255 | 1,022 |
| 189 | 0.6.240.0/22 | 0.6.240.1 to 0.6.243.254 | 0.6.243.255 | 1,022 |
| 190 | 0.6.244.0/22 | 0.6.244.1 to 0.6.247.254 | 0.6.247.255 | 1,022 |
| 191 | 0.6.248.0/22 | 0.6.248.1 to 0.6.251.254 | 0.6.251.255 | 1,022 |
| 192 | 0.6.252.0/22 | 0.6.252.1 to 0.6.255.254 | 0.6.255.255 | 1,022 |
| 193 | 0.7.0.0/22 | 0.7.0.1 to 0.7.3.254 | 0.7.3.255 | 1,022 |
| 194 | 0.7.4.0/22 | 0.7.4.1 to 0.7.7.254 | 0.7.7.255 | 1,022 |
| 195 | 0.7.8.0/22 | 0.7.8.1 to 0.7.11.254 | 0.7.11.255 | 1,022 |
| 196 | 0.7.12.0/22 | 0.7.12.1 to 0.7.15.254 | 0.7.15.255 | 1,022 |
| 197 | 0.7.16.0/22 | 0.7.16.1 to 0.7.19.254 | 0.7.19.255 | 1,022 |
| 198 | 0.7.20.0/22 | 0.7.20.1 to 0.7.23.254 | 0.7.23.255 | 1,022 |
| 199 | 0.7.24.0/22 | 0.7.24.1 to 0.7.27.254 | 0.7.27.255 | 1,022 |
| 200 | 0.7.28.0/22 | 0.7.28.1 to 0.7.31.254 | 0.7.31.255 | 1,022 |
| 201 | 0.7.32.0/22 | 0.7.32.1 to 0.7.35.254 | 0.7.35.255 | 1,022 |
| 202 | 0.7.36.0/22 | 0.7.36.1 to 0.7.39.254 | 0.7.39.255 | 1,022 |
| 203 | 0.7.40.0/22 | 0.7.40.1 to 0.7.43.254 | 0.7.43.255 | 1,022 |
| 204 | 0.7.44.0/22 | 0.7.44.1 to 0.7.47.254 | 0.7.47.255 | 1,022 |
| 205 | 0.7.48.0/22 | 0.7.48.1 to 0.7.51.254 | 0.7.51.255 | 1,022 |
| 206 | 0.7.52.0/22 | 0.7.52.1 to 0.7.55.254 | 0.7.55.255 | 1,022 |
| 207 | 0.7.56.0/22 | 0.7.56.1 to 0.7.59.254 | 0.7.59.255 | 1,022 |
| 208 | 0.7.60.0/22 | 0.7.60.1 to 0.7.63.254 | 0.7.63.255 | 1,022 |
| 209 | 0.7.64.0/22 | 0.7.64.1 to 0.7.67.254 | 0.7.67.255 | 1,022 |
| 210 | 0.7.68.0/22 | 0.7.68.1 to 0.7.71.254 | 0.7.71.255 | 1,022 |
| 211 | 0.7.72.0/22 | 0.7.72.1 to 0.7.75.254 | 0.7.75.255 | 1,022 |
| 212 | 0.7.76.0/22 | 0.7.76.1 to 0.7.79.254 | 0.7.79.255 | 1,022 |
| 213 | 0.7.80.0/22 | 0.7.80.1 to 0.7.83.254 | 0.7.83.255 | 1,022 |
| 214 | 0.7.84.0/22 | 0.7.84.1 to 0.7.87.254 | 0.7.87.255 | 1,022 |
| 215 | 0.7.88.0/22 | 0.7.88.1 to 0.7.91.254 | 0.7.91.255 | 1,022 |
| 216 | 0.7.92.0/22 | 0.7.92.1 to 0.7.95.254 | 0.7.95.255 | 1,022 |
| 217 | 0.7.96.0/22 | 0.7.96.1 to 0.7.99.254 | 0.7.99.255 | 1,022 |
| 218 | 0.7.100.0/22 | 0.7.100.1 to 0.7.103.254 | 0.7.103.255 | 1,022 |
| 219 | 0.7.104.0/22 | 0.7.104.1 to 0.7.107.254 | 0.7.107.255 | 1,022 |
| 220 | 0.7.108.0/22 | 0.7.108.1 to 0.7.111.254 | 0.7.111.255 | 1,022 |
| 221 | 0.7.112.0/22 | 0.7.112.1 to 0.7.115.254 | 0.7.115.255 | 1,022 |
| 222 | 0.7.116.0/22 | 0.7.116.1 to 0.7.119.254 | 0.7.119.255 | 1,022 |
| 223 | 0.7.120.0/22 | 0.7.120.1 to 0.7.123.254 | 0.7.123.255 | 1,022 |
| 224 | 0.7.124.0/22 | 0.7.124.1 to 0.7.127.254 | 0.7.127.255 | 1,022 |
| 225 | 0.7.128.0/22 | 0.7.128.1 to 0.7.131.254 | 0.7.131.255 | 1,022 |
| 226 | 0.7.132.0/22 | 0.7.132.1 to 0.7.135.254 | 0.7.135.255 | 1,022 |
| 227 | 0.7.136.0/22 | 0.7.136.1 to 0.7.139.254 | 0.7.139.255 | 1,022 |
| 228 | 0.7.140.0/22 | 0.7.140.1 to 0.7.143.254 | 0.7.143.255 | 1,022 |
| 229 | 0.7.144.0/22 | 0.7.144.1 to 0.7.147.254 | 0.7.147.255 | 1,022 |
| 230 | 0.7.148.0/22 | 0.7.148.1 to 0.7.151.254 | 0.7.151.255 | 1,022 |
| 231 | 0.7.152.0/22 | 0.7.152.1 to 0.7.155.254 | 0.7.155.255 | 1,022 |
| 232 | 0.7.156.0/22 | 0.7.156.1 to 0.7.159.254 | 0.7.159.255 | 1,022 |
| 233 | 0.7.160.0/22 | 0.7.160.1 to 0.7.163.254 | 0.7.163.255 | 1,022 |
| 234 | 0.7.164.0/22 | 0.7.164.1 to 0.7.167.254 | 0.7.167.255 | 1,022 |
| 235 | 0.7.168.0/22 | 0.7.168.1 to 0.7.171.254 | 0.7.171.255 | 1,022 |
| 236 | 0.7.172.0/22 | 0.7.172.1 to 0.7.175.254 | 0.7.175.255 | 1,022 |
| 237 | 0.7.176.0/22 | 0.7.176.1 to 0.7.179.254 | 0.7.179.255 | 1,022 |
| 238 | 0.7.180.0/22 | 0.7.180.1 to 0.7.183.254 | 0.7.183.255 | 1,022 |
| 239 | 0.7.184.0/22 | 0.7.184.1 to 0.7.187.254 | 0.7.187.255 | 1,022 |
| 240 | 0.7.188.0/22 | 0.7.188.1 to 0.7.191.254 | 0.7.191.255 | 1,022 |
| 241 | 0.7.192.0/22 | 0.7.192.1 to 0.7.195.254 | 0.7.195.255 | 1,022 |
| 242 | 0.7.196.0/22 | 0.7.196.1 to 0.7.199.254 | 0.7.199.255 | 1,022 |
| 243 | 0.7.200.0/22 | 0.7.200.1 to 0.7.203.254 | 0.7.203.255 | 1,022 |
| 244 | 0.7.204.0/22 | 0.7.204.1 to 0.7.207.254 | 0.7.207.255 | 1,022 |
| 245 | 0.7.208.0/22 | 0.7.208.1 to 0.7.211.254 | 0.7.211.255 | 1,022 |
| 246 | 0.7.212.0/22 | 0.7.212.1 to 0.7.215.254 | 0.7.215.255 | 1,022 |
| 247 | 0.7.216.0/22 | 0.7.216.1 to 0.7.219.254 | 0.7.219.255 | 1,022 |
| 248 | 0.7.220.0/22 | 0.7.220.1 to 0.7.223.254 | 0.7.223.255 | 1,022 |
| 249 | 0.7.224.0/22 | 0.7.224.1 to 0.7.227.254 | 0.7.227.255 | 1,022 |
| 250 | 0.7.228.0/22 | 0.7.228.1 to 0.7.231.254 | 0.7.231.255 | 1,022 |
| 251 | 0.7.232.0/22 | 0.7.232.1 to 0.7.235.254 | 0.7.235.255 | 1,022 |
| 252 | 0.7.236.0/22 | 0.7.236.1 to 0.7.239.254 | 0.7.239.255 | 1,022 |
| 253 | 0.7.240.0/22 | 0.7.240.1 to 0.7.243.254 | 0.7.243.255 | 1,022 |
| 254 | 0.7.244.0/22 | 0.7.244.1 to 0.7.247.254 | 0.7.247.255 | 1,022 |
| 255 | 0.7.248.0/22 | 0.7.248.1 to 0.7.251.254 | 0.7.251.255 | 1,022 |
| 256 | 0.7.252.0/22 | 0.7.252.1 to 0.7.255.254 | 0.7.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |